Name:           bytecode-compatibility-transformer
Version:        1.7
Release:        %mkrel 2
Summary:        Evolve modular codebase without losing compatibility

Group:          Development/Java
# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/bytecode-compatibility-transformer
Source0:        https://github.com/jenkinsci/%{name}/archive/%{name}-%{version}.zip
# Taken from http://opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.jenkins-ci:annotation-indexer)
BuildRequires:  mvn(org.jenkins-ci:constant-pool-scanner)
BuildRequires:  mvn(org.ow2.asm:asm)
BuildRequires:  mvn(org.apache.ivy:ivy)

BuildArch:      noarch

%description
This Java library provides a set of annotations and bytecode transformer
that helps you evolve modular codebase without losing compatibility.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_change_dep org.kohsuke:asm5 org.ow2.asm:asm-all
find . -name "*.java" -exec sed -i 's|org\.kohsuke\.asm5\.|org.objectweb.asm.|g' {} +

cp %{SOURCE1} .

%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>org.jenkins-ci</groupId>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Thu Mar 10 2016 daviddavid <daviddavid> 1.7-2.mga6
+ Revision: 988771
- sync package bytecode-compatibility-transformer with fedora

  + dmorgan <dmorgan>
    - imported package bytecode-compatibility-transformer


* Mon Dec 02 2013 Michal Srb <msrb@redhat.com> - 1.4-2
- Port to asm4
- Regenerate BR

* Wed Nov 27 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Tue Oct 01 2013 Michal Srb <msrb@redhat.com> - 1.3-1
- Initial packaging

